package de.fraunhofer.iem.dataprovider.debug.controller

import de.fraunhofer.iem.dataprovider.configuration.ApiPaths
import de.fraunhofer.iem.dataprovider.logger.getLogger
import de.fraunhofer.iem.dataprovider.taskManager.TaskManager
import de.fraunhofer.iem.dataprovider.taskManager.events.RecalculateAllKpisEvent
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RestController

@RestController
class MetricsController(
    private val taskManager: TaskManager
) {

    private val logger = getLogger(javaClass)

    @PostMapping(ApiPaths.DEBUG_RECALCULATE_KPIS)
    suspend fun recalculateAllKPIs() {
        logger.info("Recalculation of all KPIs was triggered")
        taskManager.addEvent(RecalculateAllKpisEvent)
    }
}
