package de.fraunhofer.iem.dataprovider.toolRun.service

import de.fraunhofer.iem.dataprovider.logger.getLogger
import de.fraunhofer.iem.dataprovider.repository.entity.RepositoryEntity
import de.fraunhofer.iem.dataprovider.toolRun.entity.ToolRunEntity
import de.fraunhofer.iem.dataprovider.toolRun.repository.ToolRunRepository
import org.springframework.stereotype.Service

@Service
class ToolRunService(private val toolRunRepository: ToolRunRepository) {

    private val logger = getLogger(javaClass)

    fun createToolRunForRepository(repo: RepositoryEntity): ToolRunEntity {
        val tr = ToolRunEntity()
        tr.repository = repo
        return toolRunRepository.save(tr)
    }

    fun getLatestToolResultsForRepo(repo: RepositoryEntity): List<ToolRunEntity> {
        return repo.toolRuns
    }
}
